Skip to main content
POST
Bulk Create Flow Runs From Deployment

Headers

x-prefect-api-version
string

Path Parameters

id
string<uuid>
required

The deployment id

Body

application/json
state
StateCreate · object | null

The state of the flow run to create

name
string

The name of the flow run. Defaults to a random slug if not specified.

Example:

"my-flow-run"

parameters
Parameters · object
enforce_parameter_schema
boolean | null

Whether or not to enforce the parameter schema on this run.

context
Context · object
infrastructure_document_id
string<uuid> | null
empirical_policy
FlowRunPolicy · object

The empirical policy for the flow run.

tags
string[]

A list of tags for the flow run.

Example:
idempotency_key
string | null

An optional idempotency key. If a flow run with the same idempotency key has already been created, the existing flow run will be returned.

labels
Labels · object | null

A dictionary of key-value labels. Values can be strings, numbers, or booleans.

Example:
parent_task_run_id
string<uuid> | null
work_queue_name
string | null
job_variables
Job Variables · object

Response

Successful Response

Response from bulk flow run creation.

results
FlowRunCreateResult · object[]